org.eclipse.rdf4j.sparqlbuilder.core.query

## Class Queries

- java.lang.Object
- - org.eclipse.rdf4j.sparqlbuilder.core.query.Queries

-     public class Queries
      extends Object

  A class with static methods to create SPARQL queries
  See Also:
    SPARQL Query Language

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AddQuery` | `ADD()` Creates a new SPARQL ADD Query
    `static ClearQuery` | `CLEAR()` Creates a SPARQL CLEAR Query
    `static ConstructQuery` | `CONSTRUCT(GraphTemplate construct)` Create a SPARQL Construct query
    `static ConstructQuery` | `CONSTRUCT(TriplePattern... patterns)` Create a SPARQL Construct query
    `static CopyQuery` | `COPY()` Creates a SPARQL COPY Query
    `static CreateQuery` | `CREATE()` Creates a SPARQL CREATE Query
    `static DeleteDataQuery` | `DELETE_DATA(TriplePattern... triples)` Create a SPARQL DELETE DATA query
    `static DeleteDataQuery` | `DELETE_DATA(TriplesTemplate triplesTemplate)` Create a SPARQL DELETE DATA query
    `static ModifyQuery` | `DELETE(TriplePattern... triples)` Convenience method, creates a SPARQL DELETE query using ModifyQuery.
    `static DropQuery` | `DROP()` Creates a SPARQL DROP Query
    `static InsertDataQuery` | `INSERT_DATA(TriplePattern... triples)` Create a SPARQL INSERT DATA query
    `static InsertDataQuery` | `INSERT_DATA(TriplesTemplate triplesTemplate)` Create a SPARQL INSERT DATA query
    `static ModifyQuery` | `INSERT(TriplePattern... triples)` Convenience method, creates a SPARQL INSERT query using ModifyQuery.
    `static LoadQuery` | `LOAD()` Creates a SPARQL LOAD query
    `static ModifyQuery` | `MODIFY()` Creates a SPARQL Modify query
    `static MoveQuery` | `MOVE()` Creates a SPARQL MOVE Query
    `static SelectQuery` | `SELECT(Projectable... projectables)` Create a SPARQL Select query
    `static SelectQuery` | `SELECT(Projection select)` Create a SPARQL Select query

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### SELECT

          public static SelectQuery SELECT(Projectable... projectables)

      Create a SPARQL Select query
      Parameters:
        `projectables` - the initial set of `Projectable`(s), if any, to select
      Returns:
        a new `SelectQuery`
      See Also:
        SPARQL Select Query

    - #### SELECT

          public static SelectQuery SELECT(Projection select)

      Create a SPARQL Select query
      Parameters:
        `select` - the `Projection` to set initially
      Returns:
        a new `SelectQuery`
      See Also:
        SPARQL Select Query

    - #### CONSTRUCT

          public static ConstructQuery CONSTRUCT(TriplePattern... patterns)

      Create a SPARQL Construct query
      Parameters:
        `patterns` - the initial set of `TriplePattern`(s), if any, to construct
      Returns:
        a new `ConstructQuery`
      See Also:
        SPARQL Construct Query

    - #### CONSTRUCT

          public static ConstructQuery CONSTRUCT(GraphTemplate construct)

      Create a SPARQL Construct query
      Parameters:
        `construct` - the `GraphTemplate` to set initially
      Returns:
        a new `ConstructQuery`
      See Also:
        SPARQL Construct Query

    - #### INSERT_DATA

          public static InsertDataQuery INSERT_DATA(TriplePattern... triples)

      Create a SPARQL INSERT DATA query
      Parameters:
        `triples` - the initial set of `TriplePattern`(s), if any, to use
      Returns:
        a new `InsertDataQuery`
      See Also:
        SPARQL INSERT DATA Query

    - #### INSERT_DATA

          public static InsertDataQuery INSERT_DATA(TriplesTemplate triplesTemplate)

      Create a SPARQL INSERT DATA query
      Parameters:
        `triplesTemplate` - the `TriplesTemplate` to set initially
      Returns:
        a new `InsertDataQuery`
      See Also:
        SPARQL INSERT DATA Query

    - #### DELETE_DATA

          public static DeleteDataQuery DELETE_DATA(TriplePattern... triples)

      Create a SPARQL DELETE DATA query
      Parameters:
        `triples` - the initial set of `TriplePattern`(s), if any, to use
      Returns:
        a new `DeleteDataQuery`
      See Also:
        SPARQL DELETE DATA Query

    - #### DELETE_DATA

          public static DeleteDataQuery DELETE_DATA(TriplesTemplate triplesTemplate)

      Create a SPARQL DELETE DATA query
      Parameters:
        `triplesTemplate` - the `TriplesTemplate` to set initially
      Returns:
        a new `DeleteDataQuery`
      See Also:
        SPARQL DELETE DATA Query

    - #### MODIFY

          public static ModifyQuery MODIFY()

      Creates a SPARQL Modify query
      Returns:
        a new `ModifyQuery`
      See Also:
        SPARQL Modify Query

    - #### DELETE

          public static ModifyQuery DELETE(TriplePattern... triples)

      Convenience method, creates a SPARQL DELETE query using ModifyQuery.
      Parameters:
        `triples` - the initial set of `TriplePattern`(s), if any, to use
      Returns:
        a new `ModifyQuery`
      See Also:
        SPARQL DELETE Query

    - #### INSERT

          public static ModifyQuery INSERT(TriplePattern... triples)

      Convenience method, creates a SPARQL INSERT query using ModifyQuery.
      Parameters:
        `triples` - the initial set of `TriplePattern`(s), if any, to use
      Returns:
        a new `ModifyQuery`
      See Also:
        SPARQL INSERT Query

    - #### LOAD

          public static LoadQuery LOAD()

      Creates a SPARQL LOAD query
      Returns:
        a new `LoadQuery`
      See Also:
        SPARQL LOAD Query

    - #### CLEAR

          public static ClearQuery CLEAR()

      Creates a SPARQL CLEAR Query
      Returns:
        a new `ClearQuery`
      See Also:
        SPARQL CLEAR Query

    - #### CREATE

          public static CreateQuery CREATE()

      Creates a SPARQL CREATE Query
      Returns:
        a new `CreateQuery`
      See Also:
        SPARQL CREATE Query

    - #### DROP

          public static DropQuery DROP()

      Creates a SPARQL DROP Query
      Returns:
        a new `DropQuery`
      See Also:
        SPARQL DROP Query

    - #### COPY

          public static CopyQuery COPY()

      Creates a SPARQL COPY Query
      Returns:
        a new `CopyQuery`
      See Also:
        SPARQL COPY Query

    - #### MOVE

          public static MoveQuery MOVE()

      Creates a SPARQL MOVE Query
      Returns:
        a new `MoveQuery`
      See Also:
        SPARQL MOVE Query

    - #### ADD

          public static AddQuery ADD()

      Creates a new SPARQL ADD Query
      Returns:
        a new `AddQuery`
      See Also:
        SPARQL ADD Query

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.